<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginObjectsInteractionManager.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dfd/_plugin_objects_interaction_manager_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginObjectsInteractionManager.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dfd/_plugin_objects_interaction_manager_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PluginObjectsInteractionManager <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/da1/class_plugin_base.html">PluginBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#adfc8cc183d4be7c5954c9b70ff76d51f">    3</a></span>    <span class="keyword">private</span> ref         <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Object&gt;</a> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#adfc8cc183d4be7c5954c9b70ff76d51f">m_LockedObjects</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#acaeae3273ead99a980c6707762032c35">    4</a></span>    <span class="keyword">private</span> ref         <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#acaeae3273ead99a980c6707762032c35">m_LockedObjectsDecay</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a72af69cf223076082e6ace134f9c0606">    5</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">float</span>     TIME_TO_FORCED_UNLOCK = 60;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a948214775f25abbf50d5a6c5e720f303">    6</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">float</span>     TICK_RATE = 10;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a6ce61ea93b7b4fa8c2be97565934938f">    7</a></span>    <span class="keyword">private</span> ref Timer   <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a6ce61ea93b7b4fa8c2be97565934938f">m_DecayTimer</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ae941a461a529ecefaaed2d807158a105">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ae941a461a529ecefaaed2d807158a105">PluginObjectsInteractionManager</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        m_LockedObjects = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Object&gt;</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_LockedObjectsDecay = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="comment">//TIMERDEPRECATED - timer for decaying objects </span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../d8/d81/_edible___base_8c.html#aa84dd86aa071e825e5a0e82917d5d305">m_DecayTimer</a> = <span class="keyword">new</span> Timer();</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_variable" href="../../d8/d81/_edible___base_8c.html#aa84dd86aa071e825e5a0e82917d5d305">m_DecayTimer</a>.Run(TICK_RATE, <span class="keyword">this</span>, <span class="stringliteral">&quot;Decay&quot;</span>, NULL,<span class="keyword">true</span>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a1b2bc33ee995f42a183a1c607f2e235d">   18</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a1b2bc33ee995f42a183a1c607f2e235d">IsFree</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> target)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">if</span> ( target &amp;&amp; m_LockedObjects.Count() &gt; 0 )</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_LockedObjects.Count(); i++ )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            {   </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                <span class="keywordflow">if</span> ( m_LockedObjects.Get(i) == target )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>                {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>                }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ac40c654a4015229d156fc425cc4ef99a">   33</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ac40c654a4015229d156fc425cc4ef99a">Lock</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> target)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> ( target &amp;&amp; !<a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a1b2bc33ee995f42a183a1c607f2e235d">IsFree</a>(target) )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            m_LockedObjects.Insert(target);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            m_LockedObjectsDecay.Insert(0);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a17b2340391c6517ed19a98f197c8f764">   42</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a17b2340391c6517ed19a98f197c8f764">Release</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> target)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> ( target &amp;&amp; m_LockedObjects.Count() &gt; 0 )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_LockedObjects.Count(); i++ )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            {   </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                <span class="keywordflow">if</span> ( m_LockedObjects.Get(i) == target )</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                    m_LockedObjects.Remove(i);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                    m_LockedObjectsDecay.Remove(i);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">//FAILSAFE - checks periodically locked objects and releases them automaticaly if given time has passed</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a747987de4d2ffa70bfa69dd9ac587aeb">   59</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a747987de4d2ffa70bfa69dd9ac587aeb">Decay</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span> ( m_LockedObjectsDecay.Count() &gt; 0 )</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; m_LockedObjectsDecay.Count(); i++ )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            {   </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <span class="keywordflow">if</span> ( m_LockedObjectsDecay.Get(i) &gt;= TIME_TO_FORCED_UNLOCK )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                {</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                    m_LockedObjects.Remove(i);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                    m_LockedObjectsDecay.Remove(i);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                    m_LockedObjectsDecay.Get(i) += <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a948214775f25abbf50d5a6c5e720f303">TICK_RATE</a>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>};</div>
<div class="ttc" id="a_edible___base_8c_html_aa84dd86aa071e825e5a0e82917d5d305"><div class="ttname"><a href="../../d8/d81/_edible___base_8c.html#aa84dd86aa071e825e5a0e82917d5d305">m_DecayTimer</a></div><div class="ttdeci">protected float m_DecayTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d81/_edible___base_8c_source.html#l00814">Edible_Base.c:814</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html">PluginBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dbd/_plugin_base_8c_source.html#l00001">PluginBase.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a17b2340391c6517ed19a98f197c8f764"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a17b2340391c6517ed19a98f197c8f764">PluginBase::Release</a></div><div class="ttdeci">void Release(Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00042">PluginObjectsInteractionManager.c:42</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a1b2bc33ee995f42a183a1c607f2e235d"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a1b2bc33ee995f42a183a1c607f2e235d">PluginBase::IsFree</a></div><div class="ttdeci">bool IsFree(Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00018">PluginObjectsInteractionManager.c:18</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a6ce61ea93b7b4fa8c2be97565934938f"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a6ce61ea93b7b4fa8c2be97565934938f">PluginBase::m_DecayTimer</a></div><div class="ttdeci">private ref Timer m_DecayTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00007">PluginObjectsInteractionManager.c:7</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a747987de4d2ffa70bfa69dd9ac587aeb"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a747987de4d2ffa70bfa69dd9ac587aeb">PluginBase::Decay</a></div><div class="ttdeci">void Decay()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00059">PluginObjectsInteractionManager.c:59</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a948214775f25abbf50d5a6c5e720f303"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a948214775f25abbf50d5a6c5e720f303">PluginBase::TICK_RATE</a></div><div class="ttdeci">private const float TICK_RATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00006">PluginObjectsInteractionManager.c:6</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ac40c654a4015229d156fc425cc4ef99a"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ac40c654a4015229d156fc425cc4ef99a">PluginBase::Lock</a></div><div class="ttdeci">void Lock(Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00033">PluginObjectsInteractionManager.c:33</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_acaeae3273ead99a980c6707762032c35"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#acaeae3273ead99a980c6707762032c35">PluginBase::m_LockedObjectsDecay</a></div><div class="ttdeci">private ref array&lt; float &gt; m_LockedObjectsDecay</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00004">PluginObjectsInteractionManager.c:4</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_adfc8cc183d4be7c5954c9b70ff76d51f"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#adfc8cc183d4be7c5954c9b70ff76d51f">PluginBase::m_LockedObjects</a></div><div class="ttdeci">private ref array&lt; Object &gt; m_LockedObjects</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00003">PluginObjectsInteractionManager.c:3</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ae941a461a529ecefaaed2d807158a105"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ae941a461a529ecefaaed2d807158a105">PluginBase::PluginObjectsInteractionManager</a></div><div class="ttdeci">void PluginObjectsInteractionManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfd/_plugin_objects_interaction_manager_8c_source.html#l00009">PluginObjectsInteractionManager.c:9</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../d4/dfd/_plugin_objects_interaction_manager_8c.html">PluginObjectsInteractionManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
